
Foreman - Bug #9058

Changing organization/location when creating new host resets interfaces setup

01/21/2015 05:12 AM - Tomáš Strachota

Status: Closed   

Priority: High   

Assignee: Tom Caspy   

Category: Host creation   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2132

  

Description

Changing organization or location on the new hosts page clears interfaces that have been set up previously. This is very annoying

especially when the user is returned back to the form after validation failure caused by missing org.

On the new host page:

- add some interfaces, other fields can remain blank

- save > validation fails

check the interfaces tab - your interfaces sould be there

- change host's organization or location

- check the interfaces tab again - your chages are gone, only blank primary interface is present

The problem is related to this patch:

https://github.com/theforeman/foreman/pull/1955

Related issues:

Related to Foreman - Bug #8405: Resolve Templates button on Host#edit broken ... Closed 11/14/2014

Related to Foreman - Tracker #2409: Networking New

Related to Foreman - Bug #11768: Switching organization or location fails wit... Resolved 09/10/2015

Related to Foreman - Bug #11767: Templates are not being resolved in the host... Closed 09/10/2015

Associated revisions

Revision 56309d5d - 08/26/2015 04:04 AM - Tom Caspy

fixes #9058 - interfaces should not be affected when changing loc/org

History

#1 - 01/21/2015 05:12 AM - Tomáš Strachota

- Related to Bug #8405: Resolve Templates button on Host#edit broken for multi-nic systems added

#2 - 01/21/2015 05:13 AM - Tomáš Strachota

- Related to Tracker #2409: Networking added

#3 - 01/26/2015 03:13 PM - Daniel Lobato Garcia

- Priority changed from Normal to High

#4 - 02/05/2015 09:43 AM - Tom Caspy

- Assignee set to Tom Caspy

#5 - 02/05/2015 09:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2132 added

- Pull request deleted ()
#6 - 08/26/2015 05:02 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 56309d5d74f228719baf486e3b6f2168037dbbd4.

#7 - 08/26/2015 05:43 AM - Dominic Cleal

- % Done changed from 100 to 0

- translation missing: en.field_release set to 63

#8 - 09/10/2015 10:37 AM - Tomáš Strachota

- Related to Bug #11768: Switching organization or location fails with mass assignment security error added

#9 - 09/10/2015 10:38 AM - Tomáš Strachota

- Related to Bug #11767: Templates are not being resolved in the host form added
